#include <camcapture.h>

/* set video device name */
char *devname = "/dev/video0";


int main(int argc, char *argv[])
{	
	/* initiate - set input and image sizes */
	camcapture_init(devname, 640, 480);
	/* this is a struct to store the information */
	image_data_t imgdata;
	
	/* Lock the device: 
	 * We have to keep the cam from writing 
	 * new images into our memory while we 
	 * are working with it.
	 * This function also waits for an image
	 * to be read. 
	 */
	camcapture_lock();

	/* now get the image information into 
	 * our imagedata struct - be careful:
	 * this struct does not contain a copy 
	 * of the image, it only gets a pointer 
	 * to the drivers buffer!
	 */
	camcapture_get_frame(&imgdata);

	/* save the picture to the file frame.pnm */
	camcapture_save_pnm(&imgdata, "frame.pnm");

	/* now we can unlock the cam */
	camcapture_unlock();
	
	/* clean up */
	camcapture_destroy();
	
	return 0;
}
